Patches for aports can be sent to this list

1

[alpine-aports] [PATCH] testing/snapraid: new aport

Zsolt Mészárovics
Details
Message ID
<CAMKfJRUJ_nnKVeJCmSMtrus4ykzTjkPMLjAXremynm=6W9aXXg@mail.gmail.com>
Sender timestamp
1457652431
DKIM signature
missing
Download raw message
http://www.snapraid.it/
SnapRAID is a backup program for disk arrays.
---
 testing/snapraid/APKBUILD | 48 +++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 48 insertions(+)
 create mode 100644 testing/snapraid/APKBUILD

diff --git a/testing/snapraid/APKBUILD b/testing/snapraid/APKBUILD
new file mode 100644
index 0000000..cf21243
--- /dev/null
+++ b/testing/snapraid/APKBUILD
@@ -0,0 +1,48 @@
+# Contributor: Zsolt M <zsolt@meszarovics.me>
+# Maintainer:
+pkgname=snapraid
+pkgver=10.0
+pkgrel=0
+pkgdesc="SnapRAID is a backup program for disk arrays."
+url="http://www.snapraid.it/"
+arch="all"
+license="GPL3"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="https://github.com/amadvance/snapraid/releases/download/v${pkgver}/snapraid-${pkgver}.tar.gz"
+
+_builddir=
+prepare() {
+ local i
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --localstatedir=/var \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="b2da5734ca2e1a9b655837a39522867f  snapraid-10.0.tar.gz"
+sha256sums="f7dcf19480256fc2c1db9ab976aa12f786e76da6044cc397f0451524e8031ad6
 snapraid-10.0.tar.gz"
+sha512sums="cd4af07c3dc3b2399287bf0aa273c01a32fd2e8fd4ad8b98f37e36a069b8092d7a4f69199fea4d110dda0d3059af5e8111e9fa7662829620a525efd01462872c
 snapraid-10.0.tar.gz"
-- 
2.6.4


---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Natanael Copa
Details
Message ID
<20160621235644.51def07a@ncopa-desktop.copa.dup.pw>
In-Reply-To
<CAMKfJRUJ_nnKVeJCmSMtrus4ykzTjkPMLjAXremynm=6W9aXXg@mail.gmail.com> (view parent)
Sender timestamp
1466546204
DKIM signature
missing
Download raw message
Hi,

The submitted patch was broken. it looks like your mailer wrapped some
lines so `git am` fails.


On Fri, 11 Mar 2016 00:27:11 +0100
Zsolt Mészárovics <zsolt@meszarovics.me> wrote:

> http://www.snapraid.it/
> SnapRAID is a backup program for disk arrays.
> ---
>  testing/snapraid/APKBUILD | 48 +++++++++++++++++++++++++++++++++++++++++++++++
>  1 file changed, 48 insertions(+)
>  create mode 100644 testing/snapraid/APKBUILD
> 
> diff --git a/testing/snapraid/APKBUILD b/testing/snapraid/APKBUILD
> new file mode 100644
> index 0000000..cf21243
> --- /dev/null
> +++ b/testing/snapraid/APKBUILD
> @@ -0,0 +1,48 @@
> +# Contributor: Zsolt M <zsolt@meszarovics.me>
> +# Maintainer:
> +pkgname=snapraid
> +pkgver=10.0
> +pkgrel=0
> +pkgdesc="SnapRAID is a backup program for disk arrays."
> +url="http://www.snapraid.it/"
> +arch="all"
> +license="GPL3"
> +depends=""
> +depends_dev=""
> +makedepends="$depends_dev"
> +install=""
> +subpackages="$pkgname-doc"
> +source="https://github.com/amadvance/snapraid/releases/download/v${pkgver}/snapraid-${pkgver}.tar.gz"
> +
> +_builddir=
> +prepare() {
> + local i
> + cd "${srcdir}/${pkgname}-${pkgver}"
> + for i in $source; do
> + case $i in
> + *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
> + esac
> + done
> +}
> +
> +build() {
> + cd "${srcdir}/${pkgname}-${pkgver}"
> + ./configure \
> + --build=$CBUILD \
> + --host=$CHOST \
> + --prefix=/usr \
> + --sysconfdir=/etc \
> + --mandir=/usr/share/man \
> + --localstatedir=/var \
> + || return 1
> + make || return 1
> +}
> +
> +package() {
> + cd "${srcdir}/${pkgname}-${pkgver}"
> + make DESTDIR="$pkgdir" install || return 1
> +}
> +
> +md5sums="b2da5734ca2e1a9b655837a39522867f  snapraid-10.0.tar.gz"
> +sha256sums="f7dcf19480256fc2c1db9ab976aa12f786e76da6044cc397f0451524e8031ad6
>  snapraid-10.0.tar.gz"
> +sha512sums="cd4af07c3dc3b2399287bf0aa273c01a32fd2e8fd4ad8b98f37e36a069b8092d7a4f69199fea4d110dda0d3059af5e8111e9fa7662829620a525efd01462872c
>  snapraid-10.0.tar.gz"




---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---